<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Gx3_25_ahrs.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_gx3__25__ahrs_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Gx3_25_ahrs.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_gx3__25__ahrs_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef GX3_25_AHRS_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define GX3_25_AHRS_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_ahrs_8h.html">Ahrs.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_gx3__25__imu_8h.html">Gx3_25_imu.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;{</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">namespace </span>filter</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;{</div>
<div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classframework_1_1filter_1_1_gx3__25__ahrs.html">   25</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1filter_1_1_gx3__25__ahrs.html">Gx3_25_ahrs</a> : <span class="keyword">public</span> <a class="code" href="classframework_1_1filter_1_1_ahrs.html">Ahrs</a></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    {</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_gx3__25__ahrs.html#abc925b2f62498def32fc05738d367210">Gx3_25_ahrs</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1_framework_manager.html">core::FrameworkManager</a>* parent,std::string name,<a class="code" href="classframework_1_1core_1_1_serial_port.html">core::SerialPort</a> *serialport,<a class="code" href="classframework_1_1sensor_1_1_gx3__25__imu.html#ae1676026bff5a449ddcc8ec1103c2a18">sensor::Gx3_25_imu::Command_t</a> command,uint8_t priority);</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            <a class="code" href="classframework_1_1filter_1_1_gx3__25__ahrs.html#a4be17d06d801cc33df27e312925dcda5">~Gx3_25_ahrs</a>();</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            <span class="keywordtype">void</span> <a class="code" href="classframework_1_1filter_1_1_gx3__25__ahrs.html#ad275ec915be7f87b7cee34fecbeeee29">Start</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <span class="keywordtype">void</span> UpdateFrom(<span class="keyword">const</span> <a class="code" href="classframework_1_1core_1_1io__data.html">core::io_data</a> *data);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    };</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;} <span class="comment">// end namespace filter</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#endif // GX3_25_AHRS_H</span></div>
<div class="ttc" id="classframework_1_1core_1_1_serial_port_html"><div class="ttname"><a href="classframework_1_1core_1_1_serial_port.html">framework::core::SerialPort</a></div><div class="ttdoc">Base class for serial port. </div><div class="ttdef"><b>Definition:</b> SerialPort.h:23</div></div>
<div class="ttc" id="classframework_1_1core_1_1io__data_html"><div class="ttname"><a href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:69</div></div>
<div class="ttc" id="_gx3__25__imu_8h_html"><div class="ttname"><a href="_gx3__25__imu_8h.html">Gx3_25_imu.h</a></div><div class="ttdoc">Class for 3dmgx3-25 Imu. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_gx3__25__ahrs_html_ad275ec915be7f87b7cee34fecbeeee29"><div class="ttname"><a href="classframework_1_1filter_1_1_gx3__25__ahrs.html#ad275ec915be7f87b7cee34fecbeeee29">framework::filter::Gx3_25_ahrs::Start</a></div><div class="ttdeci">void Start(void)</div><div class="ttdoc">Start Gx3_25_imu Thread. </div></div>
<div class="ttc" id="classframework_1_1core_1_1_framework_manager_html"><div class="ttname"><a href="classframework_1_1core_1_1_framework_manager.html">framework::core::FrameworkManager</a></div><div class="ttdoc">Main class of the Framework library. </div><div class="ttdef"><b>Definition:</b> FrameworkManager.h:43</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_ahrs_html"><div class="ttname"><a href="classframework_1_1filter_1_1_ahrs.html">framework::filter::Ahrs</a></div><div class="ttdoc">Abstract class for AHRS. </div><div class="ttdef"><b>Definition:</b> Ahrs.h:43</div></div>
<div class="ttc" id="_ahrs_8h_html"><div class="ttname"><a href="_ahrs_8h.html">Ahrs.h</a></div><div class="ttdoc">Abstract class for AHRS. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_gx3__25__ahrs_html"><div class="ttname"><a href="classframework_1_1filter_1_1_gx3__25__ahrs.html">framework::filter::Gx3_25_ahrs</a></div><div class="ttdoc">Class for 3dmgx3-25 ahrs. </div><div class="ttdef"><b>Definition:</b> Gx3_25_ahrs.h:25</div></div>
<div class="ttc" id="classframework_1_1sensor_1_1_gx3__25__imu_html_ae1676026bff5a449ddcc8ec1103c2a18"><div class="ttname"><a href="classframework_1_1sensor_1_1_gx3__25__imu.html#ae1676026bff5a449ddcc8ec1103c2a18">framework::sensor::Gx3_25_imu::Command_t</a></div><div class="ttdeci">Command_t</div><div class="ttdoc">Command for the continuous mode. </div><div class="ttdef"><b>Definition:</b> Gx3_25_imu.h:37</div></div>
<div class="ttc" id="classframework_1_1filter_1_1_gx3__25__ahrs_html_abc925b2f62498def32fc05738d367210"><div class="ttname"><a href="classframework_1_1filter_1_1_gx3__25__ahrs.html#abc925b2f62498def32fc05738d367210">framework::filter::Gx3_25_ahrs::Gx3_25_ahrs</a></div><div class="ttdeci">Gx3_25_ahrs(const core::FrameworkManager *parent, std::string name, core::SerialPort *serialport, sensor::Gx3_25_imu::Command_t command, uint8_t priority)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1filter_1_1_gx3__25__ahrs_html_a4be17d06d801cc33df27e312925dcda5"><div class="ttname"><a href="classframework_1_1filter_1_1_gx3__25__ahrs.html#a4be17d06d801cc33df27e312925dcda5">framework::filter::Gx3_25_ahrs::~Gx3_25_ahrs</a></div><div class="ttdeci">~Gx3_25_ahrs()</div><div class="ttdoc">Destructor. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_fe46344826a09271daf0b94572bf98c3.html">Filter</a></li><li class="navelem"><a class="el" href="dir_2d63b318a579ad532ef11df207587c97.html">src</a></li><li class="navelem"><a class="el" href="_gx3__25__ahrs_8h.html">Gx3_25_ahrs.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
